<div class="row" style="height: 100px;background-color: #014254">
  <h1 style="color: snow;font-size: 20px;margin-top: 35px;margin-left: 25px; "> จัดการรายการประกาศขาย</h1>
</div>



<p>ค้นหารายการประกาศ</p>
<mat-form-field appearance="outline" style="width: 50%;">
  <input matInput (keyup)="applyFilter($event.target.value)" placeholder="ค้นหารายการ">
</mat-form-field>

<mat-tab-group animationDuration="1000ms" mat-align-tabs="center" style="color-interpolation-filters: initial">
  <mat-tab label="บ้านเดี่ยว">
    <div class="mat-elevation-z8">
      <table mat-table [dataSource]="dataSource">

        <ng-container matColumnDef="1">
          <th mat-header-cell *matHeaderCellDef> ชื่ออสังหาริมทรัพย์ </th>
          <td mat-cell *matCellDef="let row" style="width: 500px"> {{row.pro_head}} </td>
        </ng-container>

        <ng-container matColumnDef="2">
          <th mat-header-cell *matHeaderCellDef> เจ้าของอสังหาริมทรัพย์ </th>
          <td mat-cell *matCellDef="let row"> {{row.fname}} &nbsp; {{row.lname}}</td>
        </ng-container>

        <ng-container matColumnDef="3">
          <th mat-header-cell *matHeaderCellDef> ยอดเข้าชม </th>
          <td mat-cell *matCellDef="let row"> {{row.pro_views}}</td>
        </ng-container>

        <ng-container matColumnDef="4">
          <th mat-header-cell *matHeaderCellDef> วันลงประกาศ </th>
          <td mat-cell *matCellDef="let row"> {{row.pro_post}} </td>
        </ng-container>

        <ng-container matColumnDef="5">
          <th mat-header-cell *matHeaderCellDef> ดูรายละเอียด </th>
          <td mat-cell *matCellDef="let row">
            <button mat-raised-button [routerLink]="['/admin/admin/prodetail' ,row.pro_id]"
              style="background: #1d6a96 ; color: snow; ">
              <i class="material-icons">
                search
              </i>&nbsp; เข้าดู</button>
          </td>
        </ng-container>


        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
      </table>

      <mat-paginator [pageSizeOptions]="[ 10, 20 ,50 ]" showFirstLastButtons></mat-paginator>
    </div>
  </mat-tab>

  <mat-tab label="ทาวน์เฮ้าส์">
    <div class="mat-elevation-z8">
      <table mat-table [dataSource]="dataSource2">

        <ng-container matColumnDef="6">
          <th mat-header-cell *matHeaderCellDef> ชื่ออสังหาริมทรัพย์ </th>
          <td mat-cell *matCellDef="let row"> {{row.pro_head}} </td>
        </ng-container>

        <ng-container matColumnDef="7">
          <th mat-header-cell *matHeaderCellDef> เจ้าของอสังหาริมทรัพย์ </th>
          <td mat-cell *matCellDef="let row"> {{row.fname}} &nbsp; {{row.lname}}</td>
        </ng-container>

        <ng-container matColumnDef="8">
          <th mat-header-cell *matHeaderCellDef> ยอดเข้าชม </th>
          <td mat-cell *matCellDef="let row"> {{row.pro_views}}</td>
        </ng-container>

        <ng-container matColumnDef="9">
          <th mat-header-cell *matHeaderCellDef> วันลงประกาศ </th>
          <td mat-cell *matCellDef="let row"> {{row.pro_post}} </td>
        </ng-container>

        <ng-container matColumnDef="10">
          <th mat-header-cell *matHeaderCellDef> ดูรายละเอียด </th>
          <td mat-cell *matCellDef="let row">
            <button mat-raised-button [routerLink]="['/admin/admin/prodetail' ,row.pro_id]"
              style="background: #1d6a96 ; color: snow; ">
              <i class="material-icons">
                search
              </i>&nbsp; เข้าดู</button>
          </td>
        </ng-container>
        <tr mat-header-row *matHeaderRowDef="displayedColumns2"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns2;"></tr>
      </table>

      <mat-paginator [pageSizeOptions]="[ 10, 20 ,50 ]" showFirstLastButtons></mat-paginator>
    </div>
  </mat-tab>
  <mat-tab label="อพาร์ทเมนท์">
    <div class="mat-elevation-z8">
      <table mat-table [dataSource]="dataSource3">

        <ng-container matColumnDef="11">
          <th mat-header-cell *matHeaderCellDef> ชื่ออสังหาริมทรัพย์ </th>
          <td mat-cell *matCellDef="let row"> {{row.pro_head}} </td>
        </ng-container>

        <ng-container matColumnDef="12">
          <th mat-header-cell *matHeaderCellDef> เจ้าของอสังหาริมทรัพย์ </th>
          <td mat-cell *matCellDef="let row"> {{row.fname}} &nbsp; {{row.lname}}</td>
        </ng-container>

        <ng-container matColumnDef="13">
          <th mat-header-cell *matHeaderCellDef> ยอดเข้าชม </th>
          <td mat-cell *matCellDef="let row"> {{row.pro_views}}</td>
        </ng-container>

        <ng-container matColumnDef="14">
          <th mat-header-cell *matHeaderCellDef> วันลงประกาศ </th>
          <td mat-cell *matCellDef="let row"> {{row.pro_post}} </td>
        </ng-container>

        <ng-container matColumnDef="15">
          <th mat-header-cell *matHeaderCellDef> ดูรายละเอียด </th>
          <td mat-cell *matCellDef="let row">
            <button mat-raised-button [routerLink]="['/admin/admin/prodetail' ,row.pro_id]"
              style="background: #1d6a96 ; color: snow; "> <i class="material-icons">
                search
              </i>&nbsp; เข้าดู</button>


          </td>
        </ng-container>
        <tr mat-header-row *matHeaderRowDef="displayedColumns3"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns3;"></tr>
      </table>

      <mat-paginator [pageSizeOptions]="[ 10, 20 ,50 ]" showFirstLastButtons></mat-paginator>
    </div>
  </mat-tab>
  <mat-tab label="อาคารพาณิชย์">
    <div class="mat-elevation-z8">
      <table mat-table [dataSource]="dataSource4">

        <ng-container matColumnDef="16">
          <th mat-header-cell *matHeaderCellDef> ชื่ออสังหาริมทรัพย์ </th>
          <td mat-cell *matCellDef="let row"> {{row.pro_head}} </td>
        </ng-container>

        <ng-container matColumnDef="17">
          <th mat-header-cell *matHeaderCellDef> เจ้าของอสังหาริมทรัพย์ </th>
          <td mat-cell *matCellDef="let row"> {{row.fname}} &nbsp; {{row.lname}}</td>
        </ng-container>

        <ng-container matColumnDef="18">
          <th mat-header-cell *matHeaderCellDef> ยอดเข้าชม </th>
          <td mat-cell *matCellDef="let row"> {{row.pro_views}}</td>
        </ng-container>

        <ng-container matColumnDef="19">
          <th mat-header-cell *matHeaderCellDef> วันลงประกาศ </th>
          <td mat-cell *matCellDef="let row"> {{row.pro_post}} </td>
        </ng-container>

        <ng-container matColumnDef="20">
          <th mat-header-cell *matHeaderCellDef> ดูรายละเอียด </th>
          <td mat-cell *matCellDef="let row">
            <button mat-raised-button [routerLink]="['/admin/admin/prodetail' ,row.pro_id]"
              style="background: #1d6a96 ; color: snow; "> <i class="material-icons">
                search
              </i>&nbsp; เข้าดู</button>


          </td>
        </ng-container>
        <tr mat-header-row *matHeaderRowDef="displayedColumns4"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns4;"></tr>
      </table>

      <mat-paginator [pageSizeOptions]="[ 10, 20 ,50 ]" showFirstLastButtons></mat-paginator>
    </div>
  </mat-tab>
  <mat-tab label="คอนโดมิเนียม">
    <div class="mat-elevation-z8">
      <table mat-table [dataSource]="dataSource5">

        <ng-container matColumnDef="21">
          <th mat-header-cell *matHeaderCellDef> ชื่ออสังหาริมทรัพย์ </th>
          <td mat-cell *matCellDef="let row"> {{row.pro_head}} </td>
        </ng-container>

        <ng-container matColumnDef="22">
          <th mat-header-cell *matHeaderCellDef> เจ้าของอสังหาริมทรัพย์ </th>
          <td mat-cell *matCellDef="let row"> {{row.fname}} &nbsp; {{row.lname}}</td>
        </ng-container>

        <ng-container matColumnDef="23">
          <th mat-header-cell *matHeaderCellDef> ยอดเข้าชม </th>
          <td mat-cell *matCellDef="let row"> {{row.pro_views}}</td>
        </ng-container>

        <ng-container matColumnDef="24">
          <th mat-header-cell *matHeaderCellDef> วันลงประกาศ </th>
          <td mat-cell *matCellDef="let row"> {{row.pro_post}} </td>
        </ng-container>

        <ng-container matColumnDef="25">
          <th mat-header-cell *matHeaderCellDef> ดูรายละเอียด </th>
          <td mat-cell *matCellDef="let row">
            <button mat-raised-button [routerLink]="['/admin/admin/prodetail' ,row.pro_id]"
              style="background: #1d6a96 ; color: snow; "> <i class="material-icons">
                search
              </i>&nbsp; เข้าดู</button>


          </td>
        </ng-container>
        <tr mat-header-row *matHeaderRowDef="displayedColumns5"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns5;"></tr>
      </table>

      <mat-paginator [pageSizeOptions]="[ 10, 20 ,50 ]" showFirstLastButtons></mat-paginator>
    </div>
  </mat-tab>
  <mat-tab label="ที่ดิน">
    <div class="mat-elevation-z8">
      <table mat-table [dataSource]="dataSource6">

        <ng-container matColumnDef="26">
          <th mat-header-cell *matHeaderCellDef> ชื่ออสังหาริมทรัพย์ </th>
          <td mat-cell *matCellDef="let row"> {{row.pro_head}} </td>
        </ng-container>

        <ng-container matColumnDef="27">
          <th mat-header-cell *matHeaderCellDef> เจ้าของอสังหาริมทรัพย์ </th>
          <td mat-cell *matCellDef="let row"> {{row.fname}} &nbsp; {{row.lname}}</td>
        </ng-container>

        <ng-container matColumnDef="28">
          <th mat-header-cell *matHeaderCellDef> ยอดเข้าชม </th>
          <td mat-cell *matCellDef="let row"> {{row.pro_views}}</td>
        </ng-container>

        <ng-container matColumnDef="29">
          <th mat-header-cell *matHeaderCellDef> วันลงประกาศ </th>
          <td mat-cell *matCellDef="let row"> {{row.pro_post}} </td>
        </ng-container>

        <ng-container matColumnDef="30">
          <th mat-header-cell *matHeaderCellDef> ดูรายละเอียด </th>
          <td mat-cell *matCellDef="let row">
            <button mat-raised-button [routerLink]="['/admin/admin/prodetail' ,row.pro_id]"
              style="background: #1d6a96 ; color: snow; "> <i class="material-icons">
                search
              </i>&nbsp; เข้าดู</button>

            .
          </td>
        </ng-container>
        <tr mat-header-row *matHeaderRowDef="displayedColumns6"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns6;"></tr>
      </table>

      <mat-paginator [pageSizeOptions]="[ 10, 20 ,50 ]" showFirstLastButtons></mat-paginator>
    </div>
  </mat-tab>
</mat-tab-group>